Subject: bug#48323: closed (Re: bug#48323: guix-daemon.service and guix-publish.service use deprecated StandardError/StandardOutput features)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Mar 2024 21:54:02 +0000

Your bug report

#48323: guix-daemon.service and guix-publish.service use deprecated StandardError/StandardOutput features

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48323: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48323
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48323: guix-daemon.service and guix-publish.service use deprecated StandardError/StandardOutput features
From: Vagrant Cascadian <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Mar 2024 14:52:27 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2023-07-20, Vagrant Cascadian wrote:
> On 2022-04-29, Ludovic Courtès wrote:
>> Vagrant Cascadian <[email-masked]> skribis:
>>
>>> Both guix-daemon.service and guix-publish.service make use of
>>> StandardError=syslog and StandardOutput=syslog.
>>
>> [...]
>>
>>> So apparently need to switch the .service files to use "journal". I am
>>> not sure what implications that would have for installing guix on a
>>> foreign distro, such as minimum systemd version, or if anything needs
>>> significant changes.
>>
>> Could you confirm that setting those to “journal” works on Debian?
>>
>> If it does, it’s probably safe now to make this change, so feel free to
>> commit it in Guix.
>
> So, I finally got around to testing this...
>
> Feels a little odd just pushing after testing over a year later,
> although the patch is fairly trivial...

And finally pushed the patch, as
5f100c68a4a8ef9ed5599bb99c910018869bc6f3!

live well,
  vagrant

Subject: guix-daemon.service and guix-publish.service use deprecated StandardError/StandardOutput features
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Sun, 09 May 2021 13:07:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Both guix-daemon.service and guix-publish.service make use of
StandardError=syslog and StandardOutput=syslog.

When building a guix 1.2.0 or 1.3.0rc* on Debian, I get the following
warnings when checking with lintian:

W: guix: systemd-service-file-uses-deprecated-syslog-facility lib/systemd/system/guix-daemon.service StandardError=syslog
N:
W: systemd-service-file-uses-deprecated-syslog-facility
N:
N:   The specified systemd service file specifies StandardOutput= or
N:   StandardError= that references syslog or syslog-console.
N:
N:   This is discouraged, and systemd versions 246 and above will log a
N:   warning about this.
N:
N:   Refer to
N: https://github.com/systemd/systemd/blob/6706384a89ae0c462e7172588c80667190c4d9e2/NEWS#L724
N:   for details.
N:
N:   Severity: warning
N:
N:   Check: systemd

Following the above link has this to say:

        * StandardError= and StandardOutput= in unit files no longer support
          the "syslog" and "syslog-console" switches. They were long removed
          from the documentation, but will now result in warnings when used,
          and be converted to "journal" and "journal+console"
          automatically.

So apparently need to switch the .service files to use "journal". I am
not sure what implications that would have for installing guix on a
foreign distro, such as minimum systemd version, or if anything needs
significant changes.

Presumably at some point support for this Standard*=syslog will be
dropped entirely from systemd...

live well,
  vagrant